package com.progetto.VEBS.model.dto;

import org.locationtech.jts.geom.Geometry;

import com.progetto.VEBS.model.entity.PoligonoAreaVerde;

public class AreaVerdeDTO {
	
	private Integer id_area_verde;
    private String nome;
    private Double densita_alberi;
    private String wktGeometria;
    private Double area;
    private PoligonoAreaVerde poligono_area_verde;


    public void AreaVerdeDTO() {}
    
    public void AreaVerdeDTO(Integer id_area_verde, String nome, Double densita_alberi,  String wktGeometria, Double area, PoligonoAreaVerde poligono_area_verde) {
    	this.id_area_verde = id_area_verde;
    	this.nome = nome;
    	this.densita_alberi = densita_alberi;
    	this.wktGeometria = wktGeometria;
    	this.area = area;
    	this.poligono_area_verde = poligono_area_verde;
    }

    // Getter e Setter
    public Integer getId() {
        return id_area_verde;
    }

    public void setId(Integer id_area_verde) {
        this.id_area_verde = id_area_verde;
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public Double getDensita() {
        return densita_alberi;
    }

    public void setDensita(Double densita_alberi) {
        this.densita_alberi = densita_alberi;
    }

    public String getWKTGeometry() {
        return wktGeometria;
    }

    public void setWKTGeometry(String wktGeometria) {
        this.wktGeometria = wktGeometria;
    }

    public Double getArea() {
        return area;
    }

    public void setArea(Double area) {
        this.area = area;
    }

    public PoligonoAreaVerde getPoligonoAreaVerde() {
        return poligono_area_verde;
    }

    public void setPoligonoAreaVerde(PoligonoAreaVerde poligono_area_verde) {
        this.poligono_area_verde = poligono_area_verde;
    }
}
